/*!**********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??clonedRuleSet-13.use[1]!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/postcss-loader/dist/cjs.js??clonedRuleSet-13.use[2]!./node_modules/resolve-url-loader/index.js??clonedRuleSet-13.use[3]!./node_modules/sass-loader/dist/cjs.js??clonedRuleSet-13.use[4]!./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./assets/components/widgets/Button.vue?vue&type=style&index=0&id=06306f4d&lang=scss ***!
  \**********************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
.hx-btn {
  --padding-x: 1em;
  --padding-y: .4em;
  font-size: 1rem;
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  line-height: 1.4;
  text-decoration: none !important;
  color: var(--neutral-900);
  background: var(--neutral-100);
  border-radius: 3px;
  overflow: hidden;
  cursor: pointer;
  /* Situational */
  flex-shrink: 0;
  /*
    LAYOUT: PURE BUTTON
    - Button has dimensions
    - Inner span is small and centered
  */
  /*
    LAYOUT: INPUT SUBMIT
    - Button has no dimensions
    - Input has dimensions and padding (text is vertically centered natively)
  */
  /*
    LAYOUT: FLOATING ACTION BUTTON
    - position fixed in the bottom-right corner; drops shadow
    - you will most likely need to tweak the bottom & right values to match the design
    - loosely based on https://material.io/components/buttons-floating-action-button
  */
  /* Full-Width */
  /* usually added when inside flexbox and you want it to stretch vertically */
  /* Next to another button, add horizontal spacing */
  /* As an input-group sufix */
  /* INNER COMMON */
  /* INPUT SPECIFIC */
  /* ANCHOR SPECIFIC */
  /* HOVER SHADE */
  /* HOVER STATE */
  /* DISABLED STATE */
  /* CLICK RIPPLE */
  /* DENIED ANIMATION */
  /* Handle Bootstrap icons */
  /* --------------------------------------------------------------------------
    OUTLINE
  -------------------------------------------------------------------------- */
  /* --------------------------------------------------------------------------
    THEME: NEUTRAL
  -------------------------------------------------------------------------- */
  /* --------------------------------------------------------------------------
    THEME: PRIMARY
  -------------------------------------------------------------------------- */
  /* --------------------------------------------------------------------------
    THEME: SUCCESS
  -------------------------------------------------------------------------- */
  /* --------------------------------------------------------------------------
    THEME: WARNING
  -------------------------------------------------------------------------- */
  /* --------------------------------------------------------------------------
    THEME: DANGER
  -------------------------------------------------------------------------- */
  /* --------------------------------------------------------------------------
    THEME: TRANSPARENT (on a light background)
  -------------------------------------------------------------------------- */
  /* --------------------------------------------------------------------------
    THEME: TRANSPARENT (on a dark background)
  -------------------------------------------------------------------------- */
}
.hx-btn.-xs {
  --padding-x: .35em;
  --padding-y: .1em;
  font-size: 0.9rem;
  text-transform: uppercase;
}
.hx-btn.-sm {
  --padding-x: .75em;
  --padding-y: .25em;
  font-size: 0.95rem;
  text-transform: uppercase;
}
.hx-btn.-lg {
  --padding-x: 1.35em;
  --padding-y: .35em;
  font-size: 1.15rem;
}
.hx-btn.-xl {
  --padding-x: 2em;
  --padding-y: .5em;
  font-size: 1.4rem;
}
.hx-btn:not(.-submit) {
  height: var(--input-height);
  max-height: 100%;
}
.hx-btn.-submit > input {
  height: var(--input-height);
}
.hx-btn.-floating {
  position: fixed;
  z-index: 25;
  width: 50px;
  height: 50px;
  bottom: max(1rem, env(safe-area-inset-bottom));
  right: max(1rem, env(safe-area-inset-right));
  box-shadow: var(--elevation-5);
  border-radius: 50px;
  text-align: center;
}
.hx-btn.-floating img, .hx-btn.-floating .bsIcon {
  font-size: 24px !important;
  font-weight: bold;
}
.hx-btn.-floating img:before, .hx-btn.-floating .bsIcon:before {
  font-weight: bold !important;
}
.hx-btn.-fullWidth {
  width: 100%;
  text-align: center;
}
.hx-btn.-fullHeight:not(.-submit), .hx-btn.-fullHeight.-submit > input {
  min-height: 100% !important;
  max-height: 100% !important;
}
.hx-btn.-wide .hx-btn-inner, .hx-btn.-wide > input {
  padding-left: calc(var(--padding-x) * 1.85) !important;
  padding-right: calc(var(--padding-x) * 1.85) !important;
}
.hx-btn .chevron {
  margin-bottom: -1px;
  margin-left: 0.25em;
  font-size: 16px;
  font-weight: 500;
  opacity: 0.75;
}
.hx-btn:hover .chevron {
  opacity: 1;
}
.hx-btn + .dropdown, .hx-btn + .hx-btn:not(.-fullWidth) {
  margin-left: 0.25em;
}
.form-control + .hx-btn, .form-select + .hx-btn {
  border-radius: 0 4px 4px 0;
}
.hx-btn-inner {
  position: relative;
  z-index: 3;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding: var(--padding-y) var(--padding-x) !important;
  -webkit-user-select: none;
          user-select: none;
}
.hx-btn > input {
  width: 100%;
  height: 100%;
  margin: 0 !important;
  color: inherit !important;
  font-size: inherit !important;
  font-weight: inherit !important;
  line-height: inherit !important;
  text-transform: inherit !important;
  border: 0 !important;
  background: none !important;
  -webkit-appearance: button;
}
.hx-btn:before {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  background: rgb(0, 0, 0);
  content: "";
}
.hx-btn:hover, .hx-btn:focus {
  color: inherit;
}
.hx-btn:hover:not([data-disabled]):before, .hx-btn:focus:not([data-disabled]):before {
  opacity: 0.1;
}
.hx-btn[data-disabled] {
  cursor: default;
  opacity: 0.5;
  filter: saturate(0.5);
}
.hx-btn-ripple {
  position: absolute;
  z-index: 2;
  border-radius: 50%;
  transform: scale(0);
  transform-origin: center;
  animation: ripple 600ms linear;
  background: white;
  opacity: 0.5;
}
.hx-btn.denied {
  animation: denied 200ms linear;
}
.hx-btn.-icon {
  font-size: 16px;
  font-weight: 600;
  text-align: center;
  /* Handle generic icon elements */
}
.hx-btn.-icon img {
  max-width: 100%;
  height: 18px;
  vertical-align: -3px;
}
.hx-btn.-icon.-lg {
  font-size: 20px;
  font-weight: 500;
}
.hx-btn .bsIcon {
  font-size: 18px;
}
.hx-btn.-sm {
  min-height: var(--input-height-sm);
  max-height: var(--input-height-sm);
}
.hx-btn.-sm > .hx-btn-inner, .hx-btn.-sm > input {
  padding: calc(var(--padding-y) * 0.85) calc(var(--padding-x) * 0.85) !important;
}
.hx-btn.-lg {
  /*  */
}
.hx-btn.-outline {
  background: none !important;
  border: 1px solid var(--neutral-200);
}
.hx-btn.-neutral-alt {
  color: white;
  background: var(--neutral-600);
}
.hx-btn.-neutral-alt:hover .hx-btn-ripple, .hx-btn.-neutral-alt:focus .hx-btn-ripple {
  background: white;
  opacity: 0.25;
}
.hx-btn.-primary:not(.-outline) {
  color: white;
  background: var(--primary);
}
.hx-btn.-primary:not(.-outline):hover .hx-btn-ripple, .hx-btn.-primary:not(.-outline):focus .hx-btn-ripple {
  background: white;
  opacity: 0.25;
}
.hx-btn.-primary.-outline {
  color: var(--primary-darker);
  border-color: hsla(var(--hsl-primary), 40%);
}
.hx-btn.-primary.-outline:before {
  background: hsla(var(--hsl-primary), 100%);
}
.hx-btn.-primary.-outline:hover, .hx-btn.-primary.-outline:focus {
  color: var(--primary-darkest);
  border-color: hsla(var(--hsl-primary), 100%);
}
.hx-btn.-primary.-outline:hover .hx-btn-ripple, .hx-btn.-primary.-outline:focus .hx-btn-ripple {
  background: white;
  opacity: 0.25;
}
.hx-btn.-success:not(.-outline) {
  color: white;
  background: var(--success);
}
.hx-btn.-success:not(.-outline):hover .hx-btn-ripple, .hx-btn.-success:not(.-outline):focus .hx-btn-ripple {
  background: white;
  opacity: 0.25;
}
.hx-btn.-success.-outline {
  color: hsl(var(--hsl-success-dark));
  border-color: hsla(var(--hsl-success), 40%);
}
.hx-btn.-success.-outline:before {
  background: hsla(var(--hsl-success), 100%);
}
.hx-btn.-success.-outline:hover, .hx-btn.-success.-outline:focus {
  color: hsl(var(--hsl-success-dark));
  border-color: hsla(var(--hsl-success), 100%);
}
.hx-btn.-success.-outline:hover .hx-btn-ripple, .hx-btn.-success.-outline:focus .hx-btn-ripple {
  background: white;
  opacity: 0.25;
}
.hx-btn.-warning {
  color: white;
  background: var(--warning);
}
.hx-btn.-warning:hover .hx-btn-ripple, .hx-btn.-warning:focus .hx-btn-ripple {
  background: white;
  opacity: 0.25;
}
.hx-btn.-danger {
  color: white;
  background: var(--danger);
}
.hx-btn.-danger:hover .hx-btn-ripple, .hx-btn.-danger:focus .hx-btn-ripple {
  background: white;
  opacity: 0.25;
}
.hx-btn.-transparent {
  color: var(--neutral-900);
  background: none;
}
.hx-btn.-transparent:hover .hx-btn-ripple, .hx-btn.-transparent:focus .hx-btn-ripple {
  background: black;
  opacity: 0.15;
}
.hx-btn.-transp-on-dark {
  color: var(--neutral-0);
  background: none;
}
.hx-btn.-transp-on-dark:hover, .hx-btn.-transp-on-dark:focus {
  background: hsla(0, 0%, 100%, 0.25);
}
.hx-btn.-transp-on-dark:hover .hx-btn-ripple, .hx-btn.-transp-on-dark:focus .hx-btn-ripple {
  background: white;
  opacity: 0.25;
}
@keyframes ripple {
to {
    transform: scale(3);
    opacity: 0;
}
}
@keyframes denied {
0% {
    transform: translateX(0);
}
20% {
    transform: translateX(3px);
}
40% {
    transform: translateX(-5px);
}
60% {
    transform: translateX(5px);
}
80% {
    transform: translateX(-3px);
}
100% {
    transform: translateX(0);
}
}
